## javax.faces.event
Interface PhaseListener

All Superinterfaces:
  java.util.EventListener, java.io.Serializable

public interface PhaseListener
extends java.util.EventListener, java.io.Serializable

Version:
  $Revision: 265611 $ $Date: 2005-08-31 21:05:16 -0400 (Wed, 31 Aug 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: oros $)

Method Summary
`void` `afterPhase(PhaseEvent event)`
`void` `beforePhase(PhaseEvent event)`
`PhaseId` `getPhaseId()`

Method Detail

### afterPhase

    public void afterPhase(PhaseEvent event)

### beforePhase

    public void beforePhase(PhaseEvent event)

### getPhaseId

    public PhaseId getPhaseId()